Bug 468635 - Missing dependency for jvisualvm
Missing dependency for jvisualvm
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lillian Angel
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-10-26 20:31 EDT by Mark Wielaard
Modified: 2008-11-03 09:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-10-30 13:32:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark Wielaard 2008-10-26 20:31:50 EDT
Description of problem:

openjdk-devel contains jvisualvm which depends on netbeans-platform8 to run, but the package doesn't depend on it.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. yum install java-1.6.0-openjdk-devel
2. jvisualvm
Actual results:

$ jvisualvm 
/bin/bash: /usr/lib/jvm/java-1.6.0-openjdk/bin/../lib/visualvm//platform*/lib/nbexec: No such file or directory

Expected results:

jvisualvm actually starting.

Additional info:

This is the package that provides nbexec: netbeans-platform8

It might be a good idea to split jvisualvm into its own openjdk-jvisualvm package so openjdk-devel doesn't drag in netbeans.
Comment 1 Lillian Angel 2008-10-27 10:08:16 EDT
Thanks for pointing this out. 

I would rather keep visualvm as a part of the devel package only, instead of creating a subpackage. Any other objections?
Comment 2 Pavol Šimo 2008-11-02 02:30:28 EST
Yes, I really don't like the netbeans to be installed just because one tool dependency. I think this is really clear example of needing subpackage because of external dependencies.
Comment 3 Lillian Angel 2008-11-03 09:53:04 EST
Please read the thread here: https://www.redhat.com/archives/fedora-devel-list/2008-October/msg03011.html

Your concerns are addressed. If you have something to add, please reply to the thread.

Note You need to log in before you can comment on or make changes to this bug.